openserunix(8)

NAME
openserunix - openser UNIX socket wrapper

SYNOPSIS
openserunix path_to_socket

DESCRIPTION
openserunix is a wrapper for sending external commands to OpenSER SIP server via UNIX sockets interface.
This is a binary alternative to the textual FIFO interface.

openserunix reads from standard input one OpenSER command along with its paramters (if any) and prints the response to standard output.

PARAMETERS

path_to_socket
    full path of the UNIX socket file used by OpenSER to receive the external commands

EXAMPLES

An OpenSER commands consists in one ore more lines: first contains the command name enclosed between ":", the following lines containing the command parameters, one per line.

echo ":uptime:" | openserunix /tmp/openser.sock

AUTHORS

see /opt/share/doc/openser/AUTHORS

SEE ALSO
openser(8),openser.cfg(5),openserctl(8)

Full documentation on openser is available at http://www.openser.org/.

Mailing lists:
users@openser.org - openser user community
devel@openser.org - openser development, new features and unstable version